## Lightbox Lightbox |

## Functions

| Lightbox ()

## Functions

### Lightbox ()

    Lightbox (container,
              params);

Lightbox creates a dark translucent "shade" actor to hide the contents of `container`, and allows you to specify particular actors in `container` to highlight by bringing them above the shade. It tracks added and removed actors in `container` while the lightboxing is active, and ensures that all actors are returned to their original stacking order when the lightboxing is removed. (However, if actors are restacked by outside code while the lightboxing is active, the lightbox may later revert them back to their original order.)

By default, the shade window will have the height and width of `container` and will track any changes in its size. You can override this by passing an explicit width and height in `params`.

#### Parameters

container | parent Clutter.Container |
params | (optional) additional parameters: inhibitEvents: whether to inhibit events for `container` width: shade actor width height: shade actor height fadeTime: seconds used to fade in/out |